Imagick::transformImage
Imagick::transparentPaintImage
Imagick
PHP Manual

# Imagick::transformImageColorspace

(No version information available, might only be in Git)

Imagick::transformImageColorspace — Transforms an image to a new colorspace.

### Description

bool Imagick::transformImageColorspace ( int `$colorspace` )

Transforms an image to a new colorspace.

### Parameters

`colorspace`

  The colorspace the image should be transformed to, one of the COLORSPACE constants e.g. Imagick::COLORSPACE_CMYK.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Imagick::transformImageColorspace() example

Transforms an image to a new colorspace, and then extracts a single channel so that the individual channel values can be viewed.

`<?php
function transformImageColorspace($imagePath, $colorSpace, $channel) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->transformimagecolorspace($colorSpace);
//channel should be one of the channel constants e.g. \Imagick::CHANNEL_BLUE
$imagick->separateImageChannel($channel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

### See Also

- Imagick::setColorSpace() - Set colorspace

### Examples

Example #2 Imagick::transformImageColorspace()

`<?php
function transformImageColorspace($imagePath, $colorSpace, $channel) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->transformimagecolorspace($colorSpace);
$imagick->separateImageChannel($channel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::transformImage
Imagick::transparentPaintImage
Imagick
PHP Manual